package net.ecoop.android.viewlifecycle;

import android.app.Application;
import android.content.Context;
import android.util.Log;
import android.widget.Toast;

public class Logger {
	public static void log(Context context, String text) {
		// getStackTrace(), currentThread(), Logger#log() で3つ飛ばす。
		StackTraceElement stackTrace = Thread.currentThread().getStackTrace()[3]; 
		final String tag = stackTrace.getClassName().replaceAll("^.*?([^.]+)$", "$1");
		
		text = stackTrace.getMethodName() + ": " + text
				+ System.currentTimeMillis();
		Log.d(tag, text);
		Toast.makeText(context, tag + ":" + text, Toast.LENGTH_SHORT).show();
	}
}
